(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function get() {
    }
    exports.get = get;
    function set(obj, path, value) {
        var target = obj;
        path.forEach(function (key, index) {
            if (!target[key] || typeof target[key] !== 'object') {
                target[key] = {};
            }
            if (index === path.length - 1) {
                target[key] = value;
            }
            target = target[key];
        });
        return obj;
    }
    exports.set = set;
});
//# sourceMappingURL=MirrorUtil.js.map